%define url_ver %(echo %{version} | cut -d. -f1,2)
%define subrel 1

Name:		gnome-calculator
Version:	3.24.0
Release:	%mkrel 1
Summary:	GNOME Desktop calculator
Group:		Graphical desktop/GNOME
License:	GPLv2+
URL:		https://wiki.gnome.org/Calculator
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtksourceview-3.0)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	mpfr-devel
BuildRequires:	libmpc-devel
Provides:	gcalctool = %{version}
Obsoletes:	gcalctool <= 6.6.2

%description
Calculator is an application that solves mathematical equations and is
suitable as a default application in a Desktop environment.

What Calculator is:
- A tool for calculating mathematical equations.
- Uses standard mathematical notation where possible.
- Easy enough to use for simple maths.
- Powerful enough for mid-level mathematics.
- Fast to load and responsive to input.
- Appropriately sized to fit into standard screen resolutions.
- Fully accessible.
- Well documented.
- Integrated into the GNOME Desktop.

What Calculator is not:
- It does not emulate any existing calculator interfaces, hardware or software.
- It is not a power-tool for professional mathematicians.
- It is not a programming language.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%find_lang %{name} --with-gnome --with-help --all-name

%files -f %{name}.lang
%doc COPYING NEWS
%{_bindir}/gcalccmd
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Calculator.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.calculator.gschema.xml
%{_datadir}/dbus-1/services/org.gnome.Calculator.SearchProvider.service
%{_datadir}/gnome-shell/search-providers/org.gnome.Calculator-search-provider.ini
%{_datadir}/appdata/org.gnome.Calculator.appdata.xml
%doc %{_mandir}/man1/%{name}.1.*
%doc %{_mandir}/man1/gcalccmd.1*
%{_libexecdir}/%{name}-search-provider
%{_libdir}/%{name}/


%changelog
* Tue Jul 25 2017 pterjan <pterjan> 3.24.0-1.1.mga6
+ Revision: 1130739
- Drop old sources now included in tarball and causing a crash on i586 (mga#20678)

* Wed Mar 22 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094426
- new version 3.24.0

* Mon Feb 13 2017 ovitters <ovitters> 3.22.3-1.mga6
+ Revision: 1086087
- new version 3.22.3

* Mon Nov 07 2016 ovitters <ovitters> 3.22.2-1.mga6
+ Revision: 1065741
- new version 3.22.2

* Mon Oct 10 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1060080
- new version 3.22.1

* Wed Sep 21 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1055025
- new version 3.22.0

* Sat Aug 27 2016 daviddavid <daviddavid> 3.20.2-1.mga6
+ Revision: 1049180
- add history-entry.ui and history-view.ui upstream files as sources to fix build

  + ovitters <ovitters>
    - new version 3.20.2

* Sat May 07 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1010115
- new version 3.20.1

* Mon Mar 21 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993831
- new version 3.20.0

* Mon Feb 29 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 981002
- new version 3.19.91

* Mon Feb 15 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 961319
- new version 3.19.90

* Mon Jan 18 2016 ovitters <ovitters> 3.19.4-1.mga6
+ Revision: 925505
- new version 3.19.4

* Tue Nov 24 2015 ovitters <ovitters> 3.19.2-1.mga6
+ Revision: 905752
- new version 3.19.2

* Mon Nov 23 2015 ovitters <ovitters> 3.19.1-1.mga6
+ Revision: 905163
- new version 3.19.1

* Mon Nov 09 2015 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 900201
- new version 3.18.2

* Mon Oct 12 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 890071
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882834
- new release

* Mon Sep 14 2015 ovitters <ovitters> 3.17.92-1.mga6
+ Revision: 879393
- new version 3.17.92

* Mon Jun 22 2015 ovitters <ovitters> 3.17.3-1.mga6
+ Revision: 838646
- new version 3.17.3

* Sun Oct 26 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 793472
- new version 3.14.1

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-2.mga5
+ Revision: 751160
- Second Mageia 5 Mass Rebuild

* Mon Sep 22 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 719200
- new version 3.14.0
- new version 3.13.92

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Tue Aug 19 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 665373
- new version 3.13.90

* Wed Jul 23 2014 ovitters <ovitters> 3.13.3-1.mga5
+ Revision: 655750
- new version 3.13.3
- dropped merged patch 1

* Thu May 29 2014 ovitters <ovitters> 3.13.2-1.mga5
+ Revision: 627412
- add patch to fix km desktop file
- new version 3.13.2

* Wed May 28 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 627384
- new version 3.12.2

* Wed Apr 09 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 613122
- new version 3.12.1

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608006
- new version 3.12.0

* Mon Mar 17 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 604419
- new version 3.11.92

* Wed Mar 05 2014 ovitters <ovitters> 3.11.91-1.mga5
+ Revision: 600125
- new version 3.11.91

* Tue Feb 18 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 594135
- new version 3.11.90

* Wed Feb 05 2014 dams <dams> 3.11.5-1.mga5
+ Revision: 583032
- new version 3.11.5

* Mon Nov 11 2013 ovitters <ovitters> 3.10.2-1.mga4
+ Revision: 550450
- new version 3.10.2

* Sun Nov 10 2013 tmb <tmb> 3.10.1-3.mga4
+ Revision: 550405
- dont conflict on virtual provide gcalctool

* Sat Nov 09 2013 ovitters <ovitters> 3.10.1-2.mga4
+ Revision: 550157
- fix url

* Wed Oct 23 2013 dams <dams> 3.10.1-1.mga4
+ Revision: 546528
- add back a patch for bad po file (nl)
- remove useless patch (merged upstream - translation)

  + ovitters <ovitters>
    - add patch to fix nl keyword translation in desktop file
    - new version 3.10.1

* Sun Oct 20 2013 umeabot <umeabot> 3.10.0-2.mga4
+ Revision: 536819
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 485711
- new version 3.10.0

* Tue Sep 17 2013 fwang <fwang> 3.9.92-1.mga4
+ Revision: 480779
- update file list

  + ovitters <ovitters>
    - new version 3.9.92

* Mon Aug 26 2013 ovitters <ovitters> 3.9.90-1.mga4
+ Revision: 471869
- new version 3.9.90

* Thu Jul 25 2013 dams <dams> 3.9.4-1.mga4
+ Revision: 458049
- new version 3.9.4

* Thu May 30 2013 dams <dams> 3.8.2-1.mga4
+ Revision: 432967
- imported package gnome-calculator

